# Retrieve result of a profile creation job

Endpoint: GET /profiles/solution/{jobId}
Version: 1.0.0
Security: key

## Path parameters:

  - `jobId` (string, required)
    The jobId you received when you submitted the job.

## Response 200 fields (application/json):

  - `solution` (object)

  - `solution.profile` (string)
    The built-in profile this custom profile is based on.

  - `solution.bounds` (object)
    The area of the profile as specified in the request.

  - `solution.custom_model` (object)
    The custom_model modifies the routing behaviour of the given profile. See the [detailed documentation](#tag/Custom-Model). 
Here is a complete example that limits all speeds to 100km/h, avoids motorways and makes shorter routes a bit more likely than the default due to a higher distance_influence.

json
{
  "speed": [
    {
      "if": "true",
      "limit_to": 100
    }
  ],
  "priority": [
    {
      "if": "road_class == MOTORWAY",
      "multiply_by": 0.1
    }
  ],
  "distance_influence": 100
}

  - `solution.custom_model.speed` (array)
    See [speed customization](#tag/Custom-Model/Customizing-speed)

  - `solution.custom_model.priority` (array)
    See [priority customization](#tag/Custom-Model/Customizing-priority)

  - `solution.custom_model.distance_influence` (number)
    Use higher values to prefer shorter routes. See [here](#tag/Custom-Model/Customizing-distance_influence) for more details.

  - `solution.custom_model.areas` (object)
    Areas are given in a GeoJson format. Currently only one format is supported: one object with type Feature, a geometry with type Polygon and optional (but ignored) id and properties fields. See more details and an example [here](#tag/Custom-Model/Define-areas).

  - `solution.id` (string)
    The name of the created profile. Use this as the profile parameter for the /route API etc. For route optimization requests you need to define a vehicle_type where you can enter the custom profile.

  - `status` (string)
    Enum: "processing", "finished"


